/****************************************************************************
*                                                                           *
*                                                                           *
*  GTKCard, Copyright (C) 2003-2005, Identity Alliance, LLC.                *
*  Title   : Mutex.h                                                        *
*  Package : GTKCard                                                        *
*  Author  : Eirik A. Herskedal                                             *
*            David Corcoran                                                 *
*  Date    : 09/03/03                                                       *
*  Licence : See attached file                                              *
*                                                                           *
*                                                                           *
****************************************************************************/

#include <pthread.h>

extern pthread_mutex_t pinLock;
pthread_mutexattr_t mutexAttr;

int createMutex(pthread_mutex_t * mutex);
int lockMutex(pthread_mutex_t * mutex);
int unlockMutex(pthread_mutex_t * mutex);
int destroyMutex(pthread_mutex_t * mutex);
