/****************************************************************************
*                                                                           *
*                                                                           *
*  GTKCard, Copyright (C) 2003-2005, Identity Alliance, LLC.                *
*  Title   : GTKCard.c                                                      *
*  Package : GTKCard                                                        *
*  Author  : Eirik A. Herskedal                                             *
*            David Corcoran                                                 *
*  Date    : 09/03/03                                                       *
*  Licence : See attached file                                              *
*                                                                           *
*                                                                           *
****************************************************************************/

#include <GTKCard.h>
#include <Mutex.h>

pthread_mutex_t pinLock;

int main(int argc, char *argv[])
{

	// Create a mutex
	createMutex(&pinLock);

	gtk_init(&argc, &argv);

	if (createWindows())
		gtk_main();

	// Destroy the mutex
	destroyMutex(&pinLock);

	return 0;
}
